nxt.shuffling

## Class ShufflingProcessingAttachment

- java.lang.Object
- - nxt.blockchain.Appendix.AbstractAppendix
  - - nxt.blockchain.Attachment.AbstractAttachment
    - - nxt.shuffling.AbstractShufflingAttachment
      - - nxt.shuffling.ShufflingProcessingAttachment

- All Implemented Interfaces:
    Appendix, Appendix.Prunable, Attachment, ShufflingAttachment

      public final class ShufflingProcessingAttachment
      extends AbstractShufflingAttachment
      implements Appendix.Prunable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.Attachment

      `Attachment.AbstractAttachment, Attachment.EmptyAttachment, Attachment.PropertyDeleteAttachment`

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.Appendix

      `Appendix.AbstractAppendix, Appendix.Encryptable, Appendix.Parser, Appendix.Prunable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Appendix.Parser` | `appendixParser`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[][]` | `getData()`
    `byte[]` | `getHash()`
    `int` | `getMyFullSize()`
    `protected int` | `getMySize()`
    `TransactionType` | `getTransactionType()`
    `boolean` | `hasPrunableData()`
    `void` | `loadPrunable(Transaction transaction, boolean includeExpiredPrunable)`
    `protected void` | `putMyBytes(java.nio.ByteBuffer buffer)`
    `protected void` | `putMyJSON(org.json.simple.JSONObject attachment)`
    `void` | `putMyPrunableBytes(java.nio.ByteBuffer buffer)`
    `void` | `restorePrunableData(Transaction transaction, int blockTimestamp, int height)`

    - ### Methods inherited from class nxt.shuffling.AbstractShufflingAttachment

      `getShufflingFullHash, getShufflingStateHash`

    - ### Methods inherited from class nxt.blockchain.Attachment.AbstractAttachment

      `apply, getAppendixName, getAppendixType, getBaselineFee, getBaselineFeeHeight, getFinishValidationHeight, getNextFee, getNextFeeHeight, isAllowed, isPhasable, validate, validateId`

    - ### Methods inherited from class nxt.blockchain.Appendix.AbstractAppendix

      `getFee, getFullSize, getJSONObject, getSize, getVersion, isPhased, loadPrunable, putBytes, validateAtFinish, verifyVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.blockchain.Appendix.Prunable

      `shouldLoadPrunable`

    - ### Methods inherited from interface nxt.blockchain.Appendix

      `getAppendixType, getBaselineFee, getBaselineFeeHeight, getFee, getFullSize, getJSONObject, getNextFee, getNextFeeHeight, getSize, getVersion, hasAppendix, isAllowed, isPhased, putBytes`

- - ### Field Detail

    - #### appendixParser

          public static final Appendix.Parser appendixParser

  - ### Method Detail

    - #### getMyFullSize

          public int getMyFullSize()

      Specified by:
        `getMyFullSize` in interface `Appendix.Prunable`

    - #### getMySize

          protected int getMySize()

      Overrides:
        `getMySize` in class `AbstractShufflingAttachment`

    - #### putMyBytes

          protected void putMyBytes(java.nio.ByteBuffer buffer)

      Overrides:
        `putMyBytes` in class `AbstractShufflingAttachment`

    - #### putMyPrunableBytes

          public void putMyPrunableBytes(java.nio.ByteBuffer buffer)

      Specified by:
        `putMyPrunableBytes` in interface `Appendix.Prunable`

    - #### putMyJSON

          protected void putMyJSON(org.json.simple.JSONObject attachment)

      Overrides:
        `putMyJSON` in class `AbstractShufflingAttachment`

    - #### getTransactionType

          public TransactionType getTransactionType()

      Specified by:
        `getTransactionType` in interface `Attachment`

    - #### getHash

          public byte[] getHash()

      Specified by:
        `getHash` in interface `Appendix.Prunable`

    - #### getData

          public byte[][] getData()

    - #### loadPrunable

          public void loadPrunable(Transaction transaction,
                                   boolean includeExpiredPrunable)

      Overrides:
        `loadPrunable` in class `Appendix.AbstractAppendix`

    - #### hasPrunableData

          public boolean hasPrunableData()

      Specified by:
        `hasPrunableData` in interface `Appendix.Prunable`

    - #### restorePrunableData

          public void restorePrunableData(Transaction transaction,
                                          int blockTimestamp,
                                          int height)

      Specified by:
        `restorePrunableData` in interface `Appendix.Prunable`